Bug 187024 - Enable WebKit iOS 12 build
Summary: Enable WebKit iOS 12 build
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-25 16:40 PDT by Jonathan Bedard
Modified: 2018-06-28 14:21 PDT (History)
7 users (show)

See Also:


Attachments
Patch (30.52 KB, patch)
2018-06-25 17:06 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (35.58 KB, patch)
2018-06-26 11:45 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.75 MB, application/zip)
2018-06-26 13:47 PDT, Build Bot
no flags Details
Patch (34.47 KB, patch)
2018-06-26 17:33 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (2.89 KB, patch)
2018-06-27 15:16 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (3.73 KB, patch)
2018-06-28 12:05 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2018-06-25 16:40:59 PDT
Since iOS 12 has seeded, we need to enable the WebKit build for iOS 12.
Comment 1 Jonathan Bedard 2018-06-25 16:46:16 PDT
<rdar://problem/39759057>
Comment 2 Jonathan Bedard 2018-06-25 17:06:15 PDT
Created attachment 343561 [details]
Patch
Comment 3 Jonathan Bedard 2018-06-25 17:08:01 PDT
Comment on attachment 343561 [details]
Patch

I want to start getting this reviewed, working on enabling PDFView now.
Comment 4 Build Bot 2018-06-25 17:08:26 PDT
Attachment 343561 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:38:  xpc_endpoint_t is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:106:  _xpc_type_connection is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:107:  _xpc_type_endpoint is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:139:  xpc_dictionary_set_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:159:  xpc_array_append_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:160:  xpc_data_create is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:161:  xpc_dictionary_get_array is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:162:  xpc_data_get_bytes_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:163:  xpc_data_get_length is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:164:  xpc_array_get_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 10 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Jonathan Bedard 2018-06-26 11:45:12 PDT
Created attachment 343626 [details]
Patch
Comment 6 Build Bot 2018-06-26 11:46:57 PDT
Attachment 343626 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:38:  xpc_endpoint_t is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:106:  _xpc_type_connection is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:107:  _xpc_type_endpoint is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:139:  xpc_dictionary_set_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:159:  xpc_array_append_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:160:  xpc_data_create is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:161:  xpc_dictionary_get_array is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:162:  xpc_data_get_bytes_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:163:  xpc_data_get_length is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:164:  xpc_array_get_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 10 in 27 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Build Bot 2018-06-26 13:47:33 PDT
Comment on attachment 343626 [details]
Patch

Attachment 343626 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8350179

New failing tests:
http/tests/security/canvas-remote-read-remote-video-blocked-no-crossorigin.html
Comment 8 Build Bot 2018-06-26 13:47:44 PDT
Created attachment 343637 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 9 Jonathan Bedard 2018-06-26 15:19:49 PDT
We're going to need to make some changes to our .xcconfig files for embedded builds, but I will delay that until these changes land.
Comment 10 David Kilzer (:ddkilzer) 2018-06-26 15:26:30 PDT
Comment on attachment 343626 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=343626&action=review

r=me

> Source/WTF/wtf/spi/darwin/XPCSPI.h:107
>  extern const struct _xpc_type_s _xpc_type_dictionary;
>  extern const struct _xpc_type_s _xpc_type_error;
>  extern const struct _xpc_type_s _xpc_type_string;
> +extern const struct _xpc_type_s _xpc_type_connection;
> +extern const struct _xpc_type_s _xpc_type_endpoint;

Nit: Alphabetize.

> Source/WTF/wtf/spi/darwin/XPCSPI.h:139
>  void xpc_dictionary_set_fd(xpc_object_t, const char* key, int fd);
>  void xpc_dictionary_set_string(xpc_object_t, const char* key, const char* string);
>  void xpc_dictionary_set_uint64(xpc_object_t, const char* key, uint64_t value);
> -void xpc_dictionary_set_value(xpc_object_t, const char*key, xpc_object_t value);
> +void xpc_dictionary_set_value(xpc_object_t, const char *key, xpc_object_t value);

Nit: Please put the space to the right of the '*'.

> Source/WTF/wtf/spi/darwin/XPCSPI.h:164
> +void xpc_array_append_value(xpc_object_t xarray, xpc_object_t value);
> +xpc_object_t xpc_data_create(const void* bytes, size_t length);
> +xpc_object_t xpc_dictionary_get_array(xpc_object_t xdict, const char* key);
> +const void * xpc_data_get_bytes_ptr(xpc_object_t xdata);
> +size_t xpc_data_get_length(xpc_object_t xdata);
> +xpc_object_t xpc_array_get_value(xpc_object_t xarray, size_t index);

NitL Alphabetize.

> Source/WebKit/Platform/spi/ios/PDFKitSPI.h:53
> ++ (void) createHostView: (void(^)( PDFHostViewController* hostViewController )) callback forExtensionIdentifier: (NSString*) extensionIdentifier;
> +- (void) setDelegate: (id<PDFHostViewControllerDelegate>) delegate;
> +- (void) setDocumentData: (NSData*) data withScrollView: (UIScrollView*) scrollView;
> +
> +- (void) findString: (NSString*) string withOptions: (NSStringCompareOptions) options;
> +- (void) cancelFindString;
> +- (void) focusOnSearchResultAtIndex: (NSUInteger) searchIndex;
> +
> +- (NSInteger) currentPageIndex;
> +- (NSInteger) pageCount;
> +- (UIView*) pageNumberIndicator;
> +- (void) goToPageIndex: (NSInteger) pageIndex;

Nit:  No spaces between the colon and the left parenthesis please:

- (void) goToPageIndex:(NSInteger) pageIndex;

> Source/WebKit/Platform/spi/ios/UIKitSPI.h:976
> +typedef NS_ENUM(NSInteger, UICompositingMode) {
> +    UICompositingModeNormal,
> +    UICompositingModeMultiply,
> +    UICompositingModeScreen,
> +    UICompositingModeOverlay,
> +    UICompositingModeDarken,
> +    UICompositingModeLighten,
> +    UICompositingModeColorDodge,
> +    UICompositingModeColorBurn,
> +    UICompositingModeSoftLight,
> +    UICompositingModeHardLight,
> +    UICompositingModeDifference,
> +    UICompositingModeExclusion,
> +    UICompositingModeClear,
> +    UICompositingModeCopy,
> +    UICompositingModeSourceIn,
> +    UICompositingModeSourceOut,
> +    UICompositingModeSourceAtop,
> +    UICompositingModeDestination,
> +    UICompositingModeDestinationOver,
> +    UICompositingModeDestinationIn,
> +    UICompositingModeDestinationOut,
> +    UICompositingModeDestinationAtop,
> +    UICompositingModeXOR,
> +    UICompositingModePlusDarker,
> +    UICompositingModePlusLighter,
> +};

Do we need all of these?  I guess we need placeholders if we don't declare them all.

> WebKitLibraries/WebKitPrivateFrameworkStubs/iOS/12/AppSupport.framework/AppSupport.tbd:4
> +  - armv7
> +  - armv7s

Are you sure we need armv7 and armv7s anymore?  Do we need armv7k for watchOS?

> WebKitLibraries/WebKitPrivateFrameworkStubs/iOS/12/AppSupport.framework/AppSupport.tbd:12
> +      - armv7
> +      - armv7s

Ditto.
Comment 11 Jonathan Bedard 2018-06-26 17:33:34 PDT
Created attachment 343663 [details]
Patch
Comment 12 Jonathan Bedard 2018-06-26 17:34:55 PDT
I intend to land this tomorrow when I can monitor the bots.
Comment 13 Build Bot 2018-06-26 17:35:33 PDT
Attachment 343663 [details] did not pass style-queue:


ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:38:  xpc_endpoint_t is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:103:  _xpc_type_connection is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:105:  _xpc_type_endpoint is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:139:  xpc_dictionary_set_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:159:  xpc_array_append_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:160:  xpc_array_get_value is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:161:  xpc_data_create is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:162:  xpc_data_get_bytes_ptr is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:163:  xpc_data_get_length is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WTF/wtf/spi/darwin/XPCSPI.h:164:  xpc_dictionary_get_array is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 10 in 27 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 WebKit Commit Bot 2018-06-27 11:03:03 PDT
Comment on attachment 343663 [details]
Patch

Clearing flags on attachment: 343663

Committed r233266: <https://trac.webkit.org/changeset/233266>
Comment 15 WebKit Commit Bot 2018-06-27 11:03:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2018-06-27 11:12:29 PDT
<rdar://problem/41532787>
Comment 17 Jonathan Bedard 2018-06-27 15:16:32 PDT
Reopening to attach new patch.
Comment 18 Jonathan Bedard 2018-06-27 15:16:32 PDT
Created attachment 343759 [details]
Patch
Comment 19 Jonathan Bedard 2018-06-27 15:16:57 PDT
Some build breakage, working to verify this fix before landing.
Comment 20 Jonathan Bedard 2018-06-27 15:49:22 PDT
Committed r233283: <https://trac.webkit.org/changeset/233283>
Comment 21 Jonathan Bedard 2018-06-28 12:04:58 PDT
Reopening to attach new patch.
Comment 22 Jonathan Bedard 2018-06-28 12:05:39 PDT
Created attachment 343830 [details]
Patch
Comment 23 Jonathan Bedard 2018-06-28 12:07:09 PDT
More build breakage on unrelated platforms.
Comment 24 Jonathan Bedard 2018-06-28 14:21:43 PDT
Committed r233327: <https://trac.webkit.org/changeset/233327>